Subject: Bug#3938: problem with suck's get-news script

From: Brian Mays <[email-masked]>
Date: Fri, 26 Jul 1996 14:12:15 -0400

Package: suck
Version: 2.6.3-1

This message actually reports three bugs.  One is a major bug; the
other two are cosmetic and so minor that they do not warrant separate
reports.

>From the /usr/sbin/get-news script:

Line 14:
BINDIR=/usr/bin			# base directory for suck rpost and scripts

Line 24:
SCRIPT=${BINDIR}/put-news	# my filter for rpost

Lines 27-29:
RPOST=${BINDIR}/rpost		# my rpost
SUCK=${BINDIR}/suck		# my suck
TESTHOST=${BINDIR}/testhost	# my testhost

The programs rpost, suck, and testhost are correctly located in
/usr/bin.  However, the put-news script is placed in the /usr/sbin
directory in the Debian suck package.  Thus, the put-news script does
not work.

I see three possible ways to fix this problem:

1) Move the put-news script in /usr/bin.

2) Move rpost, suck, and testhost in /usr/sbin and modify get-news to
   reflect this change (change the value of BINDIR).

3) Modify get-news to call put-news from /usr/sbin.

I would like to recommend the first method.  Since get-news was
intended by design to be called from rpost, via the -f command line
option, it makes sense that it be located in the same directory as
rpost.  Furthermore, I suggest that this directory should be /usr/bin,
since rpost's usefulness is not limited to system administrators.

Now the other minor bugs.  The /etc/suck/get-news.conf file says in
line 1:

# Debian Linux suck package /usr/bin/get-news config file

This should read "/usr/sbin/get-news" because get-news is located in
/usr/sbin.

Finally, several defaults for the suck program are set in the config.h
header file and compiled into the program.  Most of these defaults can
be overridden by command line options.  However, it would be nice to
provide package users a list of these compiled in defaults.  They
could be listed in the /usr/doc/copyright/suck file.